/* $Id: ai_subsidylist.cpp 16403 2009-05-23 15:46:00Z smatz $ */

/** @file ai_subsidylist.cpp Implementation of AISubsidyList. */

#include "ai_subsidylist.hpp"
#include "ai_subsidy.hpp"
#include "../../subsidy_type.h"

AISubsidyList::AISubsidyList()
{
	for (uint i = 0; i < lengthof(_subsidies); i++) {
		if (AISubsidy::IsValidSubsidy(i)) this->AddItem(i);
	}
}
